Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1276035 - Default cache resources in JBoss ON are not available
Summary: Default cache resources in JBoss ON are not available
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: JON Plugin, Server
Version: 6.5.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER1
: 6.6.0
Assignee: wfink
QA Contact: Martin Gencur
URL:
Whiteboard:
: 1181252 1276000 (view as bug list)
Depends On:
Blocks: 1261058 1277442
TreeView+ depends on / blocked
 
Reported: 2015-10-28 13:15 UTC by bkramer
Modified: 2019-08-15 05:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The metrics for local caches were not properly registered within the server. As a result, local cache resources were not available in JON UI. This issue was only related to local caches and did not affect clustered caches. This issue is resolved as of Red Hat JBoss Data Grid 6.6.0.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5901 0 Major Resolved Metrics not registered for local caches 2016-05-20 14:21:50 UTC

Description bkramer 2015-10-28 13:15:15 UTC
Description of problem:
Default installation of JDG (started using standalone.sh) is properly discovered and available in JBoss ON. However, it's default Cache resources (JBoss ON UI -> JDG -> infinispan -> Cache Containers -> local -> Caches -> default for instance) are not available (red in JBoss ON UI).

Previous version of JDG 6.1 worked fine and it's cache resources were available. However, JDG 6.4.1 and JDG 6.5.1 show the same issue - cache resources are down.

Version-Release number of selected component (if applicable):
JDG 6.5.1, 6.4.1
JBoss ON 3.3.3
Data Grid Management Plug-in Pack Update-03 for JBoss ON 3.3 [1]

How reproducible:
Always

Steps to Reproduce:
1. JDG started invoking $JDG-HOME/bin/standalone.sh script
2. Navigate to JBoss ON UI -> JDG resource -> infinispan -> Cache Containers -> local -> Caches -> default
3. Check availability of default cache - confirm it's down;
4. Execute "avail --force" on the agent's command line;
5. Check availability of default cache resource - still down.

Actual results:
Default Cache resources are down. At the same time, no errors/exceptions/warn messages are logged in the agent.log file that could shed some light on the issue.

Expected results:
Default Cache resources are up/green.


Additional info:

[1] https://access.redhat.com/jbossnetwork/restricted/softwareDownload.html?softwareId=39403

Comment 2 Alan Field 2015-10-30 14:30:43 UTC
*** Bug 1181252 has been marked as a duplicate of this bug. ***

Comment 4 Tomas Sykora 2015-11-06 13:07:36 UTC
We are back again. 

Confirming this issue is fixed in 6.6.0.ER1 product build. 
JON version in use: 3.3.0.GA Update 04

Thank you for the fix Will!

Comment 5 Tomas Sykora 2015-11-06 13:14:03 UTC
I meant thanks _Wolf_ for the fix! (Will was working on the other PR, sorry for the wrong credit owner call :))

Comment 6 Tristan Tarrant 2016-01-22 14:27:22 UTC
*** Bug 1276000 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.